Description

Supportanfrage

I want to record data in a dat-file in a nested filter graph. The dat file recorder does not appear in the "Components" in the filter graph.

It only appears in the streaming graph.

It is too difficult to forward all the required streams all the way up to the streaming graph.

Is there any possibility currently to record data anywhere in the config? as it was possible in adtf2?

Lösung

Since ADTF 3.8 Streaming Services are also available in Filter Graph, as you can follow its Release Notes, documentation and the

adapted examples, the Streaming Graph becomes obsolete and you can place an ADTFDAT File Recorder anywhere. So our

recommendations is upgrading to ADTF 3.8, this makes a lot of stuff easier and provides you the current features and bugfixes.

But it is also possible in lower versions. Create a Streaming Out Port at the graph level to record and connect it to the required

stream, this makes it available in Streaming Graph (like a link without pipelining it through the embededded graph structure). Note:

Streaming In/Out Ports are connected to Streaming Graph Sample Streams inside the Filter Graph Dock. So you can connect to

them anywhere in a Filter Graph (like you do at top level) - in difference to data ports which are only valid inside Gilter Graphs

architecture.

But again, I would suggest using ADTF 3.8  to make your life eben comfortabler.

History

#1 - 2020-08-11 22:04 - hidden

- Project changed from Public Support to 30

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Recorder

- Customer set to Car.SW Org.

Hi Samer,

Since ADTF 3.8 Streaming Services are also available in Filter Graph, as you can follow its Release Notes, documentation and the adapted

examples, the Streaming Graph becomes obsolete and you can place an ADTFDAT File Recorder anywhere. So our recommendations is upgrading

to ADTF 3.8, this makes a lot of stuff easier and provides you the current features and bugfixes.

But it is also possible in lower versions. Create a Streaming Out Port at the graph level to record and connect it to the required stream, this makes it

available in Streaming Graph (like a link without pipelining it through the embededded graph structure). Note: Streaming In/Out Ports are connected to

Streaming Graph Sample Streams inside the Filter Graph Dock. So you can connect to them anywhere in a Filter Graph (like you do at top level) - in

difference to data ports which are only valid inside Gilter Graphs architecture.

But again, I would suggest using ADTF 3.8  to make your life eben comfortabler.

#2 - 2020-08-12 08:57 - hidden

Hi Florian,

Thanks for the explanation! It helps getting forward.
Yes I will update to 3.8 soon.

Are the latest toolboxes compatible with adtf 3.8? or will you release new versions of them?

Last time I tried to update to 3.7.1 the toolboxes were not compatible

#3 - 2020-08-12 09:07 - hidden

Hi Samer,

That's good to hear. We can also think about having a meeting where you show your whole setup/use case in common, maybe we can help you

designing/porting in ADTF 3.x, find some better solutions or detecting missing features or improvements. Maybe also good for you not to step from

one issue to another, but depends on your progress of course.

All toolboxes are still compatible, they will be updated after ADTF 3.9 because of the adtfenvironment (see 

https://git.digitalwerk.net/adtf3_open_source/adtfenvironment_files). But they will also be compatible with ADTF 3.9 in common.

Usually toolboxes as well as your plugins should always be compatible through a major version, sometimes hard to solve like in ADTF 3.7 as

announced due to IFHD issues.

#4 - 2020-08-18 13:27 - hidden

- Project changed from 30 to Public Support

- Subject changed from ADTF3: How to record data in a nested filter graph to How to record data in a nested filter graph

- Description updated

- Private changed from Yes to No

- Resolution set to Solved Issue

#5 - 2020-08-18 13:27 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-10-06 10:27 - hidden

- Status changed from To Be Closed to Closed

#7 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD
